package in.ashokit;

import java.util.SortedSet;
import java.util.TreeSet;

public class SortedSetTest{
	
	public static void main(String args[]){
	
	  SortedSet ss=new TreeSet();
	  
	  for(int i=10;i<=20;i++)
	  {
		  ss.add(i);
	  }
	
	System.out.println("First Element ==> " + ss.first());
	System.out.println("Last Element ==> " + ss.last());
	System.out.println("HeadSet with 16 ==> " + ss.headSet(16));
	System.out.println("TailSet ==> " + ss.tailSet(16));
	
	System.out.println("Sub Set ==> " + ss.subSet(12,16));
	System.out.println("Compartor==> " + ss.comparator());
	
	/*
	Output:
	
	First Element ==> 10
	Last Element ==> 20
	HeadSet with 16 ==> [10, 11, 12, 13, 14, 15]
	TailSet ==> [16, 17, 18, 19, 20]
	HeadSet ==> [10, 11, 12, 13, 14, 15]
	Sub Set ==> [12, 13, 14, 15]
	Compartor==> null

	*/
	
	}
	
}